Elements
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
GET |
List all elements
Required API key scopes
element:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /elementsExample response
Status 200
RESPONSE
Create elements
Required API key scopes
element:writeRequest parameters
- textstring | null
- tag_namestring | null
- attr_classarray | null
- hrefstring | null
- attr_idstring | null
- nth_childinteger | null
- nth_of_typeinteger | null
- attributes
- orderinteger | null
Response
Example request
POST /api /projects /:project_id /elementsExample response
Status 201
RESPONSE
Retrieve elements
Required API key scopes
element:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /elements /:idExample response
Status 200
RESPONSE
Update elements
Required API key scopes
element:writePath parameters
- idinteger
Request parameters
- textstring | null
- tag_namestring | null
- attr_classarray | null
- hrefstring | null
- attr_idstring | null
- nth_childinteger | null
- nth_of_typeinteger | null
- attributes
- orderinteger | null
Response
Example request
PATCH /api /projects /:project_id /elements /:idExample response
Status 200
RESPONSE
Delete elements
Required API key scopes
element:writePath parameters
- idinteger
Example request
DELETE /api /projects /:project_id /elements /:idExample response
Status 204 No response body
Retrieve elements stats
Counts of $autocapture, $rageclick, and $dead_click events grouped by the element chain they occurred on, ordered by count. Defaults to all three event types; narrow with the include parameter.
Required API key scopes
element:readQuery parameters
- data_attributesstring
- date_fromstring
- date_tostring
- filter_test_accountsboolean
- includearray
- limitinteger
- offsetinteger
- propertiesstring
- sampling_factornumber
Response
Example request
GET /api /projects /:project_id /elements /statsExample response
Status 200
RESPONSE
List all elements values
Required API key scopes
element:readQuery parameters
- keystring
- valuestring
Example request
GET /api /projects /:project_id /elements /valuesExample response
Status 200
RESPONSE











